Bug 1392698 - Atomic/Cloud and Workstation ostree installer images no longer compose since 2016-10-18 (Rawhide and F25)
Summary: Atomic/Cloud and Workstation ostree installer images no longer compose since ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 26
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F25FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-11-08 02:58 UTC by Adam Williamson
Modified: 2018-05-29 11:52 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:52:39 UTC


Attachments (Terms of Use)

Description Adam Williamson 2016-11-08 02:58:34 UTC
The two ostree installer images - Atomic (Cloud) and Workstation - no longer compose for Fedora 25 or Rawhide. My fedora_nightlies thing tells us the last time either image showed up was 2016-10-18, for both F25 and Rawhide:

https://www.happyassassin.net/nightlies.html

I don't really know what to look for in the logs, but this does stand out, from today's F25:

https://kojipkgs.fedoraproject.org/compose/branched/Fedora-25-20161107.n.0/logs/x86_64/ostree/ostree-2/create-ostree-repo.log

"error: No package 'pam_pkcs11' found"

I looked, and indeed, the current nightly Workstation installer tree does not have that package, but the Beta one did. I'm not sure what it is that's deciding we need it, though.

As to why it used to be in the tree but no longer is, it's listed in @standard in comps but fedora-workstation-packages.ks and the @workstation-product-environment group only pull in @core, not @standard , so maybe something else previously required it but no longer does...

Proposing as a freeze exception for F25 so if we figure this out, we have a shot at getting these images in the Final compose.

Comment 1 Adam Williamson 2016-11-08 02:59:42 UTC
In fact this can be an automatic FE: "Bugs which entirely prevent the composition of one or more of the non-release-blocking images required to be built for a currently-pending (pre-)release" - https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process#Automatic_freeze_exceptions

Comment 2 Colin Walters 2016-11-08 15:26:17 UTC
The Atomic Host ostree commit generation seems OK right?  AFAICS this just affects WorkstationOstree.

Comment 3 Matthias Clasen 2016-11-08 15:37:49 UTC
Ray tells me that pam_pkcs11 is no longer needed, since the functionality has been replaced inside pam_sssd. Why a provides/obsoletes wasn't added, I don't know...

Comment 4 Colin Walters 2016-11-08 15:39:57 UTC
I think a provides was added, but rpm-ostree doesn't currently use them, only package names.

That is in progress to be fixed by https://github.com/rpm-software-management/libhif/pull/204

Comment 5 Adam Williamson 2016-11-08 15:44:21 UTC
I think there are multiple bugs. Neither of the ostree installer ISOs has appeared for either F25 or Rawhide since 2016-10-18. In addition to that log, which suggests that either pam_pkcs11 needs pulling into the Workstation tree or dropping from fedora-ostree-workstation.json , there's this one:

https://kojipkgs.fedoraproject.org/compose/branched/Fedora-25-20161107.n.0/logs/x86_64/ostree_installer/runroot.log

which kinda looks like an mkisofs call fails for both the ostree installer ISOs, but doesn't have any useful info on why.

Comment 6 Paul W. Frields 2016-11-08 15:46:44 UTC
I was asking about this in #fedora-workstation, pam_pkcs11 is listed explicitly in the JSON definition:

https://pagure.io/workstation-ostree-config/blob/f25/f/fedora-ostree-workstation.json#_478

kalev thought it was safe to remove and mclasen didn't think anything relies on this.  I filed a PR for the workstation ostree config:

https://pagure.io/workstation-ostree-config/pull-request/14

Comment 7 Colin Walters 2016-11-08 21:17:39 UTC
I think pkcs11 thing is entirely unrelated to the install images not being available though.

The error there is something from mkisofs failing, but unfortunately without more lorax logs we don't know why.

Comment 8 Colin Walters 2016-11-08 22:20:36 UTC
https://github.com/rhinstaller/lorax/pull/171

Comment 9 Dusty Mabe 2016-11-23 16:31:36 UTC
I know we now have ISOs for f25. Can this be closed?

Comment 10 Adam Williamson 2016-11-23 16:42:04 UTC
So far as I'm concerned, yes. Is anyone else tracking anything here?

Comment 11 Adam Williamson 2016-12-06 23:11:39 UTC
well, we're still not getting Rawhide Atomic installer images. This *could* be related to the ldb/tdb mess - viz. https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20161205.n.0/logs/x86_64/ostree/ostree-2/create-ostree-repo.log - but there's also this in the ostree_installer log:

Joliet tree sort failed. The -joliet-long switch may help you.
NOTE: multiple source directories have been specified and merged into the root
of the filesystem. Check your program arguments. genisoimage is not tar.

2016-12-05 11:44:20,953: command returned failure (1)

https://kojipkgs.fedoraproject.org/compose/rawhide/Fedora-Rawhide-20161205.n.0/logs/x86_64/ostree_installer/runroot.log

Comment 12 Fedora End Of Life 2017-02-28 10:34:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 13 Michael Catanzaro 2017-03-22 16:28:43 UTC
We should remove pam_pkcs11 from comps as well; it's still there.

(In reply to Paul W. Frields from comment #6)
> I was asking about this in #fedora-workstation, pam_pkcs11 is listed
> explicitly in the JSON definition:
> 
> https://pagure.io/workstation-ostree-config/blob/f25/f/fedora-ostree-
> workstation.json#_478
> 
> kalev thought it was safe to remove and mclasen didn't think anything relies
> on this.  I filed a PR for the workstation ostree config:
> 
> https://pagure.io/workstation-ostree-config/pull-request/14

It just ignores comps? It's pretty poor that the ostree product is built from a completely separate set of packages than the main product. :/

Comment 14 Colin Walters 2017-03-22 17:04:43 UTC
https://github.com/rpm-software-management/libdnf/pull/135

In the end though, if we go the "Atomic Workstation" and not "Ostree Workstation" route (a major distinction being that devel tools go in containers), they're inherently going to be pretty distinct sets of things.

For Atomic Workstation, it's a bug that /usr/bin/gcc exists on the host filesystem.

Comment 15 Fedora End Of Life 2018-05-03 08:09:48 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2018-05-29 11:52:39 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.